VAMP-SIMPLE-HOST(1)

NAME
vamp-simple-host — a simple Vamp plugin host

SYNOPSIS

vamp-simple-host [-s] [pluginlibrary[.so]:plugin[:output]] [file] [-o outfile]

vamp-simple-host [-s] [pluginlibrary[.so]:plugin] [file] [[outputno]] [-o outfile]

DESCRIPTION

This manual page documents briefly the vamp-simple-host command.

vamp-simple-host allows processing of a libsndfile-readable audio file using Vamp plugins, listing available plugins and the plugin search path.

By default, vamp-simple-host loads plugin id plugin from pluginlibrary and runs it on the audio data in file, retrieving the named output, or output number outputno (the first output by default) and dumping it to standard output, or to outfile if the -o option is given.

pluginlibrary should be a library name, not a file path; the standard Vamp library search path will be used to locate it. If a file path is supplied, the directory part(s) will be ignored.

If the -s option is given, results will be labelled with the audio sample frame at which they occur. Otherwise, they will be labelled with time in seconds.

OPTIONS

-l, --list
    List the plugin libraries and Vamp plugins in the library search path in a verbose human-readable format.

--list-full
    List all data reported by all the Vamp plugins in the library search path in a very verbose human-readable format.

--list-ids
    List the plugins in the search path in a terse machine-readable format, in the form vamp:soname:identifier.

--list-outputs
    List the outputs for plugins in the search path in a machine-readable format, in the form vamp:soname:identifier:output.

--list-by-category
    List the plugins as a plugin index by category, in a machine-readable format. The format may change in future releases.

-p  Print out the Vamp library search path.

-s  Label results with the audio sample frame at which they occur. Otherwise, they will be labelled with time in seconds.

-o file
    Dump plugin output into file.

-v  Display version information only.

ENVIRONMENT

VAMP_PATH
    A colon-separated list of directories to look for plugins.

AUTHOR

This manual page was written by Székelyi Szabolcs cc@mail.3d.hu for the Debian system (but may be used by others), because the original program does not have a manual page. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.